# eric3.VCS.mercurialPackage.ManifestDialog

Module implementing a dialog to show the output of the Mercurial manifest command.

### Classes

HgManifestDialog | Module implementing a dialog to show the output of the Mercurial manifest command.

### Functions

None

## HgManifestDialog

Module implementing a dialog to show the output of the Mercurial manifest command.

### Derived from

ManifestForm, ui

### Methods

HgManifestDialog | Constructor
debug | Public method to output a debug message.
edit | Public method to enter some text.
finish | Private slot called when the process finished or the user pressed the button.
note | Public method to output a note.
prompt | Public method to prompt the user for some input.
start | Public slot to start the hg manifest command.
status | Public method to output a status message.
warn | Public method to output a warning message.
write | Public method to write something to the output of the dialog.
write_err | Public method to write something to the errors output of the dialog.

### HgManifestDialog (Constructor)

HgManifestDialog(vcs, parent = None)

Constructor

vcs
  -- reference to the vcs object
parent
  -- parent widget (QWidget)

### HgManifestDialog.debug

debug(*msg)

Public method to output a debug message.

debug
  messages to show (strings)

### HgManifestDialog.edit

edit(text)

Public method to enter some text.

Raises RuntimeError:
  not implemented

### HgManifestDialog.finish

finish()

Private slot called when the process finished or the user pressed the button.

### HgManifestDialog.note

note(*msg)

Public method to output a note.

notes
  to show (strings)

### HgManifestDialog.prompt

prompt(msg, pat, default = "y")

Public method to prompt the user for some input.

msg
  prompt message to be shown (string)
pat
  pattern of acceptable input (string)
default
  default answer if we are in noninteractive mode (string)

Returns:
  the entered text

### HgManifestDialog.start

start(ppath)

Public slot to start the hg manifest command.

ppath
  directory name of the project (string)

### HgManifestDialog.status

status(*msg)

Public method to output a status message.

status
  messages to show (strings)

### HgManifestDialog.warn

warn(*msg)

Public method to output a warning message.

warning
  messages to show (strings)

### HgManifestDialog.write

write(*args)

Public method to write something to the output of the dialog.

*args
  texts to be written

### HgManifestDialog.write_err

write_err(*args)

Public method to write something to the errors output of the dialog.

*args
  error texts to be written

Up